## Apache Zeta Components Manual :: File Source for memory_backend.php

## Source for file memory_backend.php

Documentation is available at memory_backend.php

1. <?php
2. /**
3. * File containing the ezcCacheMemoryBackend class.
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @package Cache
23. * @version //autogentag//
24. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
25. * @filesource
26. */
28. /**
29. * An abstract class defining the required methods for memory handlers.
30. *
31. * Implemented in:
32. * - {@link ezcCacheApcBackend}
33. * - {@link ezcCacheMemcacheBackend}
34. *
35. * @apichange This class will be deprecated in the next major version of the
36. * Cache component. Please do not use it directly, but use an
37. * implementation of {@link ezcCacheStorage} instead.
38. *
39. * @package Cache
40. * @version //autogentag//
41. */
42. abstract class ezcCacheMemoryBackend
43. {
44. /**
45. * Stores the data $var under the key $key.
46. *
47. * @param string $key
48. * @param mixed $var
49. * @param int $ttl
50. * @return bool
51. */
52. abstract public function store ( $key, $var, $ttl = 0 );
54. /**
55. * Fetches the data associated with key $key.
56. *
57. * @param string $key
58. * @return mixed
59. */
60. abstract public function fetch ( $key );
62. /**
63. * Deletes the data associated with key $key.
64. *
65. * @param string $key
66. * @return bool
67. */
68. abstract public function delete ( $key );
69. }
70. ?>

Documentation generated by phpDocumentor 1.4.3